"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionAdvice = void 0;
const dbmethods_1 = require("./dbmethods");
/**
 * 事务通知
 */
class TransactionAdvice {
    /**
     * 事务方法调用前通知
     */
    async before() {
        await (0, dbmethods_1.txBegin)();
    }
    /**
     * 事务方法返回时通知
     */
    async afterReturn() {
        if (await (0, dbmethods_1.txCommit)()) {
            await (0, dbmethods_1.closeConnection)();
        }
    }
    /**
     * 事务方法抛出异常时通知
     */
    async afterThrow() {
        if (await (0, dbmethods_1.txRollback)()) {
            await (0, dbmethods_1.closeConnection)();
        }
    }
}
exports.TransactionAdvice = TransactionAdvice;
//# sourceMappingURL=transactionadvice.js.map