"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoomiTip_zh = void 0;
/**
 * noomi中文提示信息
 */
exports.NoomiTip_zh = {
    tip: {
        "0100": "Noomi启动中...",
        "0101": "redis初始化...",
        "0102": "redis初始化完成！",
        "0103": "web初始化...",
        "0104": "web初始化完成！",
        "0105": "实例工厂初始化...",
        "0106": "实例工厂初始化完成！",
        "0107": "过滤器初始化...",
        "0108": "过滤器初始化完成！",
        "0109": "路由工厂初始化...",
        "0110": "路由工厂初始化完成！",
        "0111": "数据源初始化...",
        "0112": "数据源初始化完成！",
        "0113": "aop初始化...",
        "0114": "aop初始化完成！",
        "0115": "security初始化...",
        "0116": "security初始化完成！",
        "0117": "Noomi启动成功！",
        "0118": "地址正被使用，重试中...",
        "0119": "检测并执行启动钩子...",
        "0120": "启动钩子执行结束！",
        "0121": 'Http服务器正在运行,监听端口 ${0}',
        "0122": 'Https服务器正在运行,监听端口 ${0}'
    },
    //异常消息
    error: {
        "0000": "未知错误",
        "0001": "noomi.ini文件配置错误，请参阅官方文档!",
        "0050": "文件不存在",
        "0100": "异常配置文件错误",
        "0500": "web配置文件错误，请参阅官方文档!",
        "0501": "上传文件超过最大限制",
        "0502": "form upload格式错误",
        "0600": "缺少redis配置",
        "1000": "实例配置文件错误，请参阅官方文档!",
        "1001": "实例${0}不存在",
        "1002": "实例'${0}'已存在，不能重复定义",
        "1003": "模块必须定义为类",
        "1004": "模块路径 '${0}' 不存在",
        "1010": "实例方法 '${0}' 不存在",
        "1011": "实例装饰器参数错误",
        "2000": "aop配置文件错误，请参阅官方文档!",
        "2001": "pointcut的expressions参数配置错误",
        "2002": "pointcut '${0}' 不存在",
        "2003": "pointcut '${0}' 已存在，不能重复定义",
        "2005": "advice '${0}' 已经在切面中定义",
        "2100": "路由配置文件错误，请参阅官方文档",
        "2101": "路由结果配置错误",
        "2102": "路由访问错误",
        "2103": "路由'${0}'不存在",
        "2200": "过滤器配置文件错误，请参阅官方文档!",
        "2500": "orm文件配置错误，请参阅官方文档!",
        "2600": "redis文件配置错误，请参阅官方文档!",
        "2601": "redis client '${0}' 不存在",
        "2700": "security文件配置错误，请参阅官方文档!",
        "2800": "数据源文件配置错误，请参阅官方文档!",
        "3002": "存入值超过缓存最大值",
        "3010": "键已存在，不能设置为object",
        "3011": "value不能为空",
        "4001": "数据库package未配置",
        "4002": "数据库依赖包 '${0}' 不存在"
    },
    //模型消息
    model: {
        //类型消息
        "int": "要求整数",
        "float": "要求小数",
        "number": "要求数字",
        "string": "要求字符串",
        "boolean": "要求布尔型",
        "array": "要求数组",
        //校验消息
        "nullable": "不能为空",
        "min": "值必须大于等于${0}",
        "max": "值必须小于等于${0}",
        "between": "值必须在${0}-${1}之间",
        "minLength": "长度必须大于等于${0}",
        "maxLength": "长度必须小于等于${0}",
        "betweenLength": "长度必须在${0}-${1}之间",
        "email": "不是有效的email地址",
        "url": "不是有效的url地址",
        "mobile": "不是有效的移动手机号",
        "idno": "不是有效身份证号",
        "in": "输入值必须属于数组[${0}]",
        "legal": "内容不符合国内法规"
    }
};
//# sourceMappingURL=noomitip_zh.js.map