"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LaunchHookManager = void 0;
const instancefactory_1 = require("../main/instancefactory");
/**
 * 应用启动后钩子对象管理器
 * @remarks
 * 用于管理应用启动后的钩子函数及其调用
 */
class LaunchHookManager {
    /**
     * 初始化
     * @param cfg - hook集
     */
    static init(cfg) {
        if (!instancefactory_1.InstanceFactory.hasClass(cfg.clazz)) {
            instancefactory_1.InstanceFactory.addInstance(cfg.clazz);
        }
        this.hooks.push(cfg);
    }
    /**
     * 批量执行hook方法
     */
    static async run() {
        for (const h of this.hooks) {
            await instancefactory_1.InstanceFactory.exec(h.clazz, h.method, h.params);
        }
    }
}
exports.LaunchHookManager = LaunchHookManager;
/**
 * hook实例数组
 */
LaunchHookManager.hooks = [];
//# sourceMappingURL=launchhookmanager.js.map