"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoomiError = void 0;
const tipmanager_1 = require("./tipmanager");
/**
 * Noomi异常类
 * @remarks
 * 用于产生异常信息
 */
class NoomiError extends Error {
    /**
     * 构造器
     * @param code -      异常码或异常对象/信息等
     * @param params -    参数
     */
    constructor(code, ...params) {
        let msg;
        const tp = typeof code;
        //数字串，从异常消息获取
        if (tp === 'string' && /^\d+$/.test(code)) {
            msg = tipmanager_1.TipManager.getError(code, ...params);
            super(msg);
            this.message = msg;
            this.code = code;
        }
        else {
            super();
            this.message = code;
        }
    }
}
exports.NoomiError = NoomiError;
//# sourceMappingURL=noomierror.js.map