import { NoomiTransaction } from "./noomitransaction";
/**
 * 数据库暴露方法集
 */
/**
 * 获取数据库或数据源连接
 * @returns    数据库connection，针对不同的product返回不同:
 *              mysql:      返回connection对象
 *              oracle:     返回connection对象
 *              mssql:      返回request对象
 *              relaen:     返回connection对象
 *              typeorm:    返回connection（已连接）
 */
export declare function getConnection(): Promise<any>;
/**
 * 关闭数据库连接
 */
export declare function closeConnection(): Promise<void>;
/**
 * 获取事务对象
 * @returns     事务对象
 */
export declare function getTransaction(): Promise<NoomiTransaction>;
/**
 * 开始事务
 */
export declare function txBegin(): Promise<void>;
/**
 * 提交事务
 * @param close -   关闭连接
 * @returns         提交成功返回true，否则返回false
 */
export declare function txCommit(close?: boolean): Promise<boolean>;
/**
 * 回滚事务
 * @param close -   是否关闭connection
 * @returns         回滚成功返回true，否则返回false
 */
export declare function txRollback(close?: boolean): Promise<boolean>;
