/**
 * connection manager 接口，数据库包（如：noomi-mysql,noomi-relaen,...）必须继承此接口
 */
export interface IConnectionManager {
    /**
     * 获取连接
     * @returns connection对象
     */
    getConnection(): Promise<any>;
    /**
     * 释放连接
     * @param conn -  connection 对象
     */
    closeConnection(conn: any): any;
}
