/**
 * 事务类，数据库包（如：noomi-mysql,noomi-relaen,...）必须继承此基类
 */
export declare abstract class NoomiTransaction {
    /**
     * begin次数
     */
    beginTimes: number;
    /**
     * 实际的事务对象
     */
    protected tx: {
        begin: any;
        commit: any;
        rollback: any;
    };
    constructor();
    /**
     * 开始事务,继承类需要重载
     */
    abstract begin(): void;
    /**
     * 事务提交,继承类需要重载
     */
    abstract commit(): void;
    /**
     * 事务回滚,继承类需要重载
     */
    abstract rollback(): void;
}
