import { LogOption } from "../types/logtypes";
/**
 * 日志管理类
 * @remarks
 * 用于管理各类日志
 */
export declare class LogManager {
    /**
     * 日志对象
     */
    static logger: {
        log: (level: object, time: string, msg: string, msg1?: string) => void;
    };
    /**
     * 切点名
     */
    static pointcutId: string;
    /**
     * 日志配置初始化
     * @param cfg -   配置对象
     * @remarks
     * type: default表示输出到控制台，file表示输出到文件
     *
     * expression: 表达式字符串数组
     */
    static init(cfg: LogOption): void;
    /**
     * 初始化通知
     * @param expression - 表达式数组
     */
    private static initAdvice;
}
