/**
 * 框架主类
 * @remarks
 * 该类实例化可进行框架初始化，框架初始化有两种方式：
 *
 * 1. new NoomiMain(config)
 *
 * 2. noomi(config)
 */
export declare class NoomiMain {
    /**
     * http端口
     */
    private port;
    /**
     * https 端口
     */
    private sslPort;
    /**
     * http server
     */
    private server;
    /**
     * https server
     */
    private httpsServer;
    /**
     * 构造器
     * 初始化一个noomi应用
     * @param port -          http端口,默认3000
     * @param configPath -    配置文件路径，默认 /config，相对于项目根目录
     * @param sslPort -       https端口，默认4000
     */
    constructor(port?: number, configPath?: string, sslPort?: number);
    /**
     * 初始化框架
     */
    init(): Promise<void>;
}
/**
 * 框架主函数
 * @param port -          http端口,默认3000
 * @param contextPath -   配置文件路径，默认 /config，相对于项目根目录
 * @param sslPort -       https端口，默认4000
 * @returns             NoomiMain对象
 */
export declare function noomi(port?: number, contextPath?: string, sslPort?: number): NoomiMain;
