/**
 * 模型验证器
 */
export declare class Validator {
    /**
     * 验证器集合
     */
    private static valiators;
    /**
     * 是否拥有该名字的验证器
     * @param validatorName -
     */
    static hasValidator(validatorName: string): boolean;
    /**
     * 添加验证器
     * @param name -  验证器名
     * @param foo -   验证器方法
     */
    static addValidator(name: string, foo: (params: unknown[]) => unknown): void;
    /**
     * 添加验证器集
     * @param config - 验证器集合
     * @remarks
     * 格式为
     * ```json
     * {
     *      validatorName1:foo1,
     *      validatorName2:foo2
     *      ...
     * }
     * ```
     */
    static addValidators(config: object): void;
    /**
     * 验证
     * @param name -        验证名
     * @param value -       验证内容
     * @param paramArr -    附加参数数组，根据调用确定
     * @returns             校验结果，true:通过，false:不通过
     */
    static validate(name: string, value: unknown, ...paramArr: any[]): boolean;
}
