import { HttpRequest } from "./httprequest";
import { HttpResponse } from "./httpresponse";
import { FilterOption } from "../types/types";
/**
 * 过滤器工厂类
 * @remarks
 * 用于管理定义的过滤器
 */
export declare class FilterFactory {
    /**
     * 过滤器实例数组
     */
    private static filters;
    /**
     * 处理实例过滤器
     * @param cfg - filter配置项
     */
    static addFilter(cfg: FilterOption): void;
    /**
     * 获取过滤器链
     * @param url - 资源url
     * @returns     filter数组
     */
    static getFilterChain(url: string): Array<FilterOption>;
    /**
     * 执行过滤器链
     * @param url -     url路径
     * @param request - request 对象
     * @param response -response 对象
     * @returns         全部执行完为true，否则为false
     */
    static doChain(url: string, request: HttpRequest, response: HttpResponse): Promise<boolean>;
}
