/// <reference types="node" />
import { ContentTypeOption } from "../types/webtypes";
/**
 * 针对post不同mime进行处理
 */
export declare class PostTextHandler {
    /**
     * mime类型
     */
    private mimeType;
    /**
     * buffer流
     */
    private buf;
    /**
     * 初始化mimeType和buf
     * @param contentTypeObj - contentType对象
     */
    constructor(contentTypeObj: ContentTypeOption);
    /**
     * 处理buf
     * @param buf -  新缓冲区
     */
    handleBuf(buf: Buffer): void;
    /**
     * 获取result
     * @returns     文本串/json对象
     */
    getResult(): object;
}
